﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamComboEditorDataTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var Trades = new ObservableCollection<LiveViewDataPoint>();

            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 8, 25), Price = 0, Name = "Name0" });
            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2009, 8, 25), Price = 1, Name = "Name0" });
            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 9, 25), Price = 2, Name = "Name0" });
            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 3, Name = "Name0" });
            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 4, Name = "Name0" });
            Trades.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 5, Name = "Name0" });

            xamComboEditor1.ItemsSource = Trades;
        }

        private void xamComboEditor1_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            Window1.Focus();
        }

        
    }

    public class LiveViewDataPoint
    {
        public DateTime Date { get; set; }
        public double Price { get; set; }
        public String Name { get; set; }
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                var result = value as LiveViewDataPoint;
                return String.Format("{0} {1}", result.Price.ToString(),result.Name.ToString());
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
